#pragma once
#include "mof/InstructionSet.hpp"
#include <boost/scoped_ptr.hpp>

    
class MyInstructionSet : public mof::InstructionSet
{
    
public:
    
    virtual boost::shared_ptr<mof::MessageWidget> createMessageWidget( );
        
    virtual int addMessageWidgetPage
    ( 
        boost::shared_ptr<mof::MessageWidget>& message ,
        const mof::tstring& title ,
        const mof::tstring& text 
    );
    
    virtual void inactive( boost::shared_ptr<mof::MessageWidget>& message );

    MyInstructionSet( );
    virtual ~MyInstructionSet();
 
    void update();
    void draw() const;
 
private:
    struct Impl;
    boost::scoped_ptr<Impl> m_pImpl;
   
};

